DRCMD(8)

NAME
drcmd - Diablo program to manage a running dreaderd server

SYNOPSIS
drcmd [ version/status/exit/pause/go ]

DESCRIPTION
DrCmd issues a command to the parent dreaderd server. the following commands are available:

exit - asks dreaderd to stop accepting connections, kill its children, and exit. The command will not return until dreaderd has completed all operations and then exited.

pause - asks dreaderd to stop accepting new connections. New connections are refused with a 502 error.

go - asks dreaderd to decrement its pause counter. When the counter reaches zero, dreaderd will reenable incoming connections. Dreaderd will not allow the counter to go negative.

SEE ALSO
diablo(8), dclean(8), dicmd(8), didump(8), diload(8), dnewslink(8), doutq(8), dexpire(8), dexpireover(8), diconvhist(8), dilookup(8), dspoolout(8), dkp(8), dpath(8), diablo-kp(5), diablo-files(5)